package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 music_recommend
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public class MusicRecommend extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 推荐id */
    @Excel(name = "推荐id")
    private Long recommendId;

    /** 音乐id */
    @Excel(name = "音乐id")
    private Long musicId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }

    public void setRecommendId(Long recommendId) 
    {
        this.recommendId = recommendId;
    }

    public Long getRecommendId() 
    {
        return recommendId;
    }

    public void setMusicId(Long musicId) 
    {
        this.musicId = musicId;
    }

    public Long getMusicId() 
    {
        return musicId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("recommendId", getRecommendId())
            .append("musicId", getMusicId())
            .toString();
    }
}
